Package: torus-trooper

Scenario: cross_unstable_main_amd64
Date: 2022-08-19 05:00:03

Architectures: arm64, s390x

Summary: conflict between binutils:$host and binutils:$build; conflict between g++-12:$host and g++-12:$build

Conjunction of multiple reasons:

  1. src:torus-trooper (0.22.dfsg1-13) [PTS] [ctrl]
       ↓ gdc | gdc
    gdc-12 (12.1.0-8) [PTS] [ctrl]
       ↓ g++-12 (>= 12)
       ↓ build-essential:amd64
    build-essential (12.9) [PTS] [ctrl]
       ↓ g++:amd64 (>= 4:10.2)
    g++ (4:12.1.0-3) [PTS] [ctrl]
       ↓ g++-12:amd64 (>= 12.1.0-5~)
    g++-12:$host (12.1.0-8) [PTS] [ctrl]
    g++-12:$build (12.1.0-8) [PTS] [ctrl]
    CONFLICT
  2. src:torus-trooper (0.22.dfsg1-13) [PTS] [ctrl]
       ↓ gdc | gdc
    gdc-9 (9.5.0-1+b1) [PTS] [ctrl]
       ↓ g++-9 (>= 8)
    g++-9 (9.5.0-1+b1) [PTS] [ctrl]
       ↓ gcc-9 (= 9.5.0-1+b1)
    gcc-9 (9.5.0-1+b1) [PTS] [ctrl]
       ↓ binutils (>= 2.38.90.20220713)
       ↓ debhelper-compat (= 13) | debhelper-compat (= 13)
    debhelper (13.9) [PTS] [ctrl]
       ↓ dpkg-dev:amd64 (>= 1.18.2~)
    dpkg-dev (1.21.9) [PTS] [ctrl]
       ↓ binutils:amd64
    binutils:$host (2.38.90.20220713-2) [PTS] [ctrl]
    binutils:$build (2.38.90.20220713-2) [PTS] [ctrl]
    CONFLICT

Architectures: armel, armhf

Summary: conflict between binutils:$host and binutils:$build; conflict between g++-12:$host and g++-12:$build

Conjunction of multiple reasons:

  1. src:torus-trooper (0.22.dfsg1-13) [PTS] [ctrl]
       ↓ gdc | gdc
    gdc-9 (9.5.0-1+b1) [PTS] [ctrl]
       ↓ g++-9 (>= 8)
    g++-9 (9.5.0-1+b1) [PTS] [ctrl]
       ↓ gcc-9 (= 9.5.0-1+b1)
    gcc-9 (9.5.0-1+b1) [PTS] [ctrl]
       ↓ binutils (>= 2.38.90.20220713)
       ↓ debhelper-compat (= 13) | debhelper-compat (= 13)
    debhelper (13.9) [PTS] [ctrl]
       ↓ dpkg-dev:amd64 (>= 1.18.2~)
    dpkg-dev (1.21.9) [PTS] [ctrl]
       ↓ binutils:amd64
    binutils:$host (2.38.90.20220713-2) [PTS] [ctrl]
    binutils:$build (2.38.90.20220713-2) [PTS] [ctrl]
    CONFLICT
  2. src:torus-trooper (0.22.dfsg1-13) [PTS] [ctrl]
       ↓ gdc | gdc
    gdc-12 (12.1.0-8) [PTS] [ctrl]
       ↓ g++-12 (>= 12)
       ↓ build-essential:amd64
    build-essential (12.9) [PTS] [ctrl]
       ↓ g++:amd64 (>= 4:10.2)
    g++ (4:12.1.0-3) [PTS] [ctrl]
       ↓ g++-12:amd64 (>= 12.1.0-5~)
    g++-12:$host (12.1.0-8) [PTS] [ctrl]
    g++-12:$build (12.1.0-8) [PTS] [ctrl]
    CONFLICT

Architectures: mips64el

Summary: conflict between g++:$host and g++:$build; conflict between libc6-dev:$host and libc6-dev-mips64el-cross:$build

Conjunction of multiple reasons:

  1. src:torus-trooper (0.22.dfsg1-13) [PTS] [ctrl]
       ↓ crossbuild-essential-mips64el:amd64
    crossbuild-essential-mips64el (12.9) [PTS] [ctrl]
       ↓ g++-mips64el-linux-gnuabi64:amd64 (>= 4:10.2) | g++-mips64el-linux-gnuabi64:amd64 (>= 4:10.2) | g++
       ↓ build-essential:amd64
    build-essential (12.9) [PTS] [ctrl]
       ↓ g++:amd64 (>= 4:10.2)
    g++:$host (4:12.1.0-3) [PTS] [ctrl]
    g++:$build (4:12.1.0-3) [PTS] [ctrl]
    CONFLICT
  2. src:torus-trooper (0.22.dfsg1-13) [PTS] [ctrl]
       ↓ libsdl-mixer1.2-dev
    libsdl-mixer1.2-dev (1.2.12-17+b1) [PTS] [ctrl]
       ↓ libmikmod-dev
    libmikmod-dev (3.3.11.1-6) [PTS] [ctrl]
       ↓ libc6-dev
       ↓ crossbuild-essential-mips64el:amd64
    crossbuild-essential-mips64el (12.9) [PTS] [ctrl]
       ↓ g++-mips64el-linux-gnuabi64:amd64 (>= 4:10.2) | g++-mips64el-linux-gnuabi64:amd64 (>= 4:10.2) | g++
    g++-mips64el-linux-gnuabi64 (4:11.2.0-2) [PTS] [ctrl]
       ↓ g++-11-mips64el-linux-gnuabi64:amd64 (>= 11.2.0-1~)
    g++-11-mips64el-linux-gnuabi64 (11.2.0-18cross2) [PTS] [ctrl]
       ↓ libstdc++-11-dev-mips64el-cross:amd64 (>= 11)
    libstdc++-11-dev-mips64el-cross (11.2.0-18cross2) [PTS] [ctrl]
       ↓ libc6-dev-mips64el-cross:amd64 (>= 2.23-1~)
    libc6-dev:$host (2.34-4) [PTS] [ctrl]
    libc6-dev-mips64el-cross:$build (2.33-1cross1) [PTS] [ctrl]
    CONFLICT

Architectures: mipsel

Summary: conflict between g++:$host and g++:$build; conflict between libc6-dev:$host and libc6-dev-mipsel-cross:$build

Conjunction of multiple reasons:

  1. src:torus-trooper (0.22.dfsg1-13) [PTS] [ctrl]
       ↓ crossbuild-essential-mipsel:amd64
    crossbuild-essential-mipsel (12.9) [PTS] [ctrl]
       ↓ g++-mipsel-linux-gnu:amd64 (>= 4:10.2) | g++-mipsel-linux-gnu:amd64 (>= 4:10.2) | g++
       ↓ build-essential:amd64
    build-essential (12.9) [PTS] [ctrl]
       ↓ g++:amd64 (>= 4:10.2)
    g++:$host (4:12.1.0-3) [PTS] [ctrl]
    g++:$build (4:12.1.0-3) [PTS] [ctrl]
    CONFLICT
  2. src:torus-trooper (0.22.dfsg1-13) [PTS] [ctrl]
       ↓ libsdl-mixer1.2-dev
    libsdl-mixer1.2-dev (1.2.12-17+b1) [PTS] [ctrl]
       ↓ libmikmod-dev
    libmikmod-dev (3.3.11.1-6) [PTS] [ctrl]
       ↓ libc6-dev
       ↓ crossbuild-essential-mipsel:amd64
    crossbuild-essential-mipsel (12.9) [PTS] [ctrl]
       ↓ g++-mipsel-linux-gnu:amd64 (>= 4:10.2) | g++-mipsel-linux-gnu:amd64 (>= 4:10.2) | g++
    g++-mipsel-linux-gnu (4:11.2.0-2) [PTS] [ctrl]
       ↓ g++-11-mipsel-linux-gnu:amd64 (>= 11.2.0-1~)
    g++-11-mipsel-linux-gnu (11.2.0-18cross2) [PTS] [ctrl]
       ↓ libstdc++-11-dev-mipsel-cross:amd64 (>= 11)
    libstdc++-11-dev-mipsel-cross (11.2.0-18cross2) [PTS] [ctrl]
       ↓ libc6-dev-mipsel-cross:amd64 (>= 2.23-1~)
    libc6-dev:$host (2.34-4) [PTS] [ctrl]
    libc6-dev-mipsel-cross:$build (2.33-1cross1) [PTS] [ctrl]
    CONFLICT

Architectures: ppc64el

Summary: unsatisfied dependency on libphobos-dev | libphobos-dev

src:torus-trooper (0.22.dfsg1-13) [PTS] [ctrl]
   ↓ libphobos-dev | libphobos-dev
MISSING